# Uses of Enum Class
net.shibboleth.idp.profile.impl.WebFlowMessageHandlerAdaptor.Direction

Packages that use WebFlowMessageHandlerAdaptor.Direction
Package
Description
net.shibboleth.idp.profile.impl
Implementations of various profile actions.

## Uses of WebFlowMessageHandlerAdaptor.Direction in net.shibboleth.idp.profile.impl

Fields in net.shibboleth.idp.profile.impl declared as WebFlowMessageHandlerAdaptor.Direction
Modifier and Type
Field
Description
`private final WebFlowMessageHandlerAdaptor.Direction`
WebFlowMessageHandlerAdaptor.`direction`
The direction of execution for this action instance.
Methods in net.shibboleth.idp.profile.impl that return WebFlowMessageHandlerAdaptor.Direction
Modifier and Type
Method
Description
`static WebFlowMessageHandlerAdaptor.Direction`
WebFlowMessageHandlerAdaptor.Direction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WebFlowMessageHandlerAdaptor.Direction[]`
WebFlowMessageHandlerAdaptor.Direction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in net.shibboleth.idp.profile.impl with parameters of type WebFlowMessageHandlerAdaptor.Direction
Modifier
Constructor
Description
``
`WebFlowMessageHandlerAdaptor(Function<ProfileRequestContext,MessageHandler> lookupStrategy, WebFlowMessageHandlerAdaptor.Direction executionDirection)`
Constructor.
`private`
`WebFlowMessageHandlerAdaptor(WebFlowMessageHandlerAdaptor.Direction executionDirection)`
Constructor.
``
`WebFlowMessageHandlerAdaptor(MessageHandler messageHandler, WebFlowMessageHandlerAdaptor.Direction executionDirection)`
Constructor.